# restoreFrom=path attribute

#### Function

You can specify the restoreFrom=path attribute in the boot time connection URL to restore a database using a full backup from the specified location. If a database with the same name exists in the derby.system.home location, the whole database is deleted, copied from the backup location, and then restarted.

The log files are copied to the same location they were in when the backup was taken. The logDevice attribute can be used in conjunction with restoreFrom=path to store logs in a different location.

For more information about using this attribute, see "Restoring a database from a backup copy" in the Java DB Server and Administration Guide.

#### Combining with other attributes

Do not combine this attribute with createFrom, rollForwardRecoveryFrom, or create.

    URL: jdbc:derby:wombat;restoreFrom=d:/backup/wombat

Parent topic: Setting attributes for the database connection URL